Subject: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jul 2019 17:38:11 +0300

> From: Štěpán Němec
>  <[email-masked]>
> Date: Mon, 29 Jul 2019 14:13:24 +0200
> Cc: [email-masked]
> 
> >> Bottom line: I'm not sure we should rock that particular boat for an
> >> unusual use case such as yours.
> >
> > I don't think this case is so unusual: updating, building and running
> > the new Emacs (for minutes, hours or weeks) to check that it is ok
> > before installing. (My use case is a bit different, but equivalent.)
> >
> > Anyways, this is not very important for me either. Closing.
> 
> FWIW, it find your use case totally legit and not unusual at all.

"Unusual" doesn't mean it isn't legitimate, it just means it's
infrequent.

> I can understand if nobody feels like attempting a fix right now

By saying "fix" you imply this is a bug.  But that's not necessarily
so, because it is also legitimate to want Emacs behave like it does
now, i.e. prefer the installed version to the one in the source tree.
Any fix will have to deal with the dichotomy, and let users request
the non-default variant.